Format 2

# Title style definition
Style Titre
  Margin		Static
  LatexType		Command
  InTitle		1
  LatexName		title
  ParSkip		0.4
  ItemSep		0
  TopSep		0
  BottomSep		1
  ParSep		1
  Align			Center
  AlignPossible		Center
  LabelType		No_Label

  # standard font definition
  Font
    Shape		Smallcaps
    Series 		Bold
    Size		Larger
  EndFont
End

# Author style definition
Style Auteur
  Margin		Static
  LatexType		Command
  InTitle		1
  LatexName		author
  LabelSep		xxx
  ParSkip		0.4
  TopSep		1.3
  BottomSep		0.7
  ParSep		0.7
  Align			Center
  AlignPossible		Center
  LabelType		No_Label

  # standard font definition
  Font
    Size		Large
    Shape		Smallcaps
  EndFont
End

# Contrib style definition
Style Contribution
  Margin		Static
  LatexType		Command
  InTitle		1
  LatexName		Contributions
  PassThru		1
  LabelSep		xxx
  ParSkip		0.4
  TopSep		1.3
  BottomSep		0.7
  ParSep		0.7
  Align			Center
  AlignPossible		Center
  LabelType		Static
  LabelString		"Taper: contribution}{auteur"
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
  \def\Contributions#1#2{\contrib[#1]{#2}}
  EndPreamble
End

# Dedicatory style definition
Style Dedicace
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		dedicatory
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Center
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Ddicace: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End  

# Rsum style definition
Style Rsum 
  Margin		First_Dynamic
  LatexType		Environment
  InTitle		1
  LatexName		abstract
  LeftMargin		MMM
  LabelIndent		MMM
  RightMargin		MMM
  ParIndent		MM
  TopSep		0.7
  BottomSep		1
  Align			Block
  AlignPossible		Block
  LabelType		Static
  LabelString		Rsum.
  LabelSep		M

  # standard font definition
  Font 
    Size		Small
  EndFont

  # label font definition
  LabelFont
    Shape		Smallcaps
  EndFont
End

# Date style definition
Style Date
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		date
  LabelSep		xxx
  ParSkip		0.4
  TopSep		0.9
  BottomSep		0.1
  ParSep		1
  Align			Left
  AlignPossible		Center
  LabelType		Static
  LabelString		"Date: "

  # standard font definition
  Font 
    Size		Small
  EndFont

  LabelFont
    Shape		Italic
    Size		Small
  EndFont
End

# Keywords style definition
Style Mots_clefs
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		keywords
  ParSkip		0.4
  BottomSep		0.1
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Mots et phrases clfs: "
  # label font definition
  Font
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
Preamble
\renewcommand{\keywordsname}{Mots et phrases clfs}
EndPreamble
End  

# Subjectclass style definition
Style Classification_AMS_1991
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		subjclassfr
  ParSkip		0.4
  BottomSep		0.1
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Classification AMS 1991: "
  # label font definition
  Font
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
Preamble
  \newcommand{\subjclassfr}[1]{%
  \subjclass{#1}
  \renewcommand{\subjclassname}{Classification AMS \textup{1991}}}
EndPreamble
End  

# Subjectclass style definition
Style Classification_AMS_2000
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		subjclassfrtwo
  ParSkip		0.4
  BottomSep		0.1
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Classification AMS 2000: "
  # label font definition
  Font
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
  Preamble
  \newcommand{\subjclassfrtwo}[1]{%
  \subjclass{#1}
  \renewcommand{\subjclassname}{Classification AMS \textup{2000}}}
  EndPreamble
End

# Thanks style definition
Style Remerciements____
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		thanks
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Remerciements : "
  # label font definition
  Font
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
End 

Style _(FIN_de_DOCUMENT)
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Translator style definition
Style Traduit_par
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		translator
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Right
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Traduit par: "
  # label font definition
  Font
    shape               SmallCaps
  EndFont
  LabelFont
    Shape		Up
  EndFont
Preamble
\def\@settranslators{\par\begingroup
  \addvspace{6\p@\@plus9\p@}%
  \hbox to\columnwidth{\hss\normalfont\normalsize
    Traduit par %
    \andify\@translators \uppercasenonmath\@translators
    \@translators}
  \endgroup
}
EndPreamble
End

# Address style definition
Style Adresse
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		address
  ParSkip		0.4
  BottomSep		0.1
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Adresse: "
  # label font definition
  Font
    Shape               SmallCaps
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
End  

# Current Address style definition
Style Adresse_actuelle
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		curraddr
  ParSkip		0.4
  BottomSep		0.1
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Adresse actuelle: "
  # label font definition
  Font
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
End  

# Email style definition
Style Adresse_lectronique
  Margin		First_Dynamic
  LatexType		Command
  InTitle		1
  LatexName		email
  ParSkip		0.4
  BottomSep		0.1
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  labelString		"Adresse lectronique: "
  # Font definition
  Font
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
End

# URL style definition
Style URL
  Margin		First_Dynamic
  LatexType		Command
  InTitle		1
  LatexName		urladdr
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  labelString		"URL: "
  # Font definition
  Font
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
End
