Format 2
Style ********************************
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _______THEOREMS_______
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Sans numeros style declaration
Style ___NON_NUMBERED__
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Theorem-unnumbered style declaration
Style Theorem
  CopyStyle		Theorem(ST)
  LatexName		thm*
  LabelType		Static
  LabelString		"Theorem."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{thm*}{Theorem} 
  EndPreamble
End

# Proposition-unnumbered style declaration
Style Proposition
  CopyStyle		Theorem(ST)
  LatexName		prop*
  LabelType		Static
  LabelString		"Proposition."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{prop*}{Proposition} 
  EndPreamble
End

# Corollary-unnumbered style declaration
Style Corollary
  CopyStyle		Theorem(ST)
  LatexName		cor*
  LabelType		Static
  LabelString		"Corollary."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{cor*}{Corollary}
  EndPreamble
End

# Lemma-unnumbered style declaration
Style Lemma
  CopyStyle		Theorem(ST)
  LatexName		lem*
  LabelType		Static
  LabelString		"Lemma."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{lem*}{Lemma} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Definition-unnumbered style declaration
Style Definition
  CopyStyle     	Definition(ST)
  LatexName		defn*
  LabelType		Static
  LabelString		"Definition."
  
  Preamble
   \theoremstyle{definition}
   \newtheorem*{defn*}{Definition}
  EndPreamble
End

# Remark-unnumbered style declaration
Style Remark
  CopyStyle		Remark(ST)
  LatexName		rem*
  LabelType		Static
  LabelString		"Remark."

  Preamble
    \theoremstyle{remark}
    \newtheorem*{rem*}{Remark}
  EndPreamble
End  

# Notation-unnumbered style declaration
Style Notation
  CopyStyle		Remark(ST)
  LatexName		notation
  LabelType		Static
  LabelString		"Notation."

  Preamble
    \theoremstyle{remark}    
    \newtheorem*{notation}{Notation} 
  EndPreamble
End

# Axiom-unnumbered style declaration
Style Axiom
  CopyStyle		Theorem(ST)
  LatexName		ax
  LabelType		Static
  LabelString		"Axiom."
  
  Preamble
    \theoremstyle{plain}    
    \newtheorem*{ax}{Axiom} 
  EndPreamble
End  

# Criterion-unhnumbered style declaration
Style Criterion
  CopyStyle		Theorem(ST)
  LatexName		criterion
  LabelType		Static
  LabelString		"Criterion."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{criterion}{Criterion} %%Delete [thm] to re-start numbering
  EndPreamble
End  

# Algorithm-unnumbered style declaration
Style Algorithm
  CopyStyle		Theorem(ST)
  LatexName		algorithm
  LabelType		Static
  LabelString		"Algorithm."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{algorithm}{Algorithm} %%Delete [thm] to re-start numbering
  EndPreamble
End  

# Exercise-unnumbered style declaration
Style Exercise
  CopyStyle		Definition(ST)
  LatexName		exo*
  LabelType		Static
  LabelString		"Exercise."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{exo*}{Exercise}
   EndPreamble
End

# Problem-unnumbered style declaration
Style Problem
  CopyStyle		Definition(ST)
  LatexName		problem
  LabelType		Static
  LabelString		"Problem."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{problem}{Problem}
  EndPreamble
End  

# Exemple-unnumbered style declaration
Style Example
  CopyStyle		Definition(ST)
  LatexName		example*
  LabelType		Static
  LabelString		"Example."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{example*}{Example}
  EndPreamble
End

# Conjecture-unnumbered style declaration
Style Conjecture
  CopyStyle		Theorem(ST)
  LatexName		conjecture*
  LabelType		Static
  LabelString		"Conjecture."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{conjecture*}{Conjecture} 
  EndPreamble
End

# Fact-unnumbered style declaration
Style Fact
  CopyStyle		Theorem(ST)
  LatexName		fact*
  LabelType		Static
  LabelString		"Fact."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{fact*}{Fact} 
  EndPreamble
End

# Condition-unnumbered style declaration
Style Condition
  CopyStyle		Definition(ST)
  LatexName		condition
  LabelType		Static
  LabelString		"Condition."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{condition}{Condition}
  EndPreamble
End  

# Claim-unnumbered style declaration
Style Claim
  CopyStyle		Remark(ST)
  LatexName		claim*
  LabelType		Static
  LabelString		"Claim."

  Preamble
    \theoremstyle{remark}    
    \newtheorem*{claim*}{Claim}
  EndPreamble
End

# Note-unnumbered style declaration
Style Note
  CopyStyle		Remark(ST)
  LatexName		note*
  LabelType		Static
  LabelString		"Note."

  Preamble
    \theoremstyle{remark}    
    \newtheorem*{note*}{Note} 
  EndPreamble
End

# Conclusion-unnumbered style declaration
Style Conclusion
  CopyStyle		Remark(ST)
  LatexName		conclusion*
  LabelType		Static
  LabelString		"Conclusion."

  Preamble
    \theoremstyle{remark}    
    \newtheorem*{conclusion*}{Conclusion} 
  EndPreamble
End
