Format 2
Style ********************************
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _______THEOREMES_______
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Sans numeros style declaration
Style ___NON_NUMEROTES__
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Theorem-unnumbered style declaration
Style Thorme
  CopyStyle		Thorme(ST)
  LatexName		thm*
  LabelType		Static
  LabelString		"Thorme."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{thm*}{Th\'eor\`eme} 
  EndPreamble
End

# Proposition-unnumbered style declaration
Style Proposition
  CopyStyle		Thorme(ST)
  LatexName		prop*
  LabelType		Static
  LabelString		"Proposition."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{prop*}{Proposition} 
  EndPreamble
End

# Corollary-unnumbered style declaration
Style Corollaire
  CopyStyle		Thorme(ST)
  LatexName		cor*
  LabelType		Static
  LabelString		"Corollaire."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{cor*}{Corollaire}
  EndPreamble
End

# Lemma-unnumbered style declaration
Style Lemme
  CopyStyle		Thorme(ST)
  LatexName		lem*
  LabelType		Static
  LabelString		"Lemme."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{lem*}{Lemme} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Definition-unnumbered style declaration
Style Dfinition
  CopyStyle     	Dfinition(ST)
  LatexName		defn*
  LabelType		Static
  LabelString		"Dfinition."
  
  Preamble
   \theoremstyle{definition}
   \newtheorem*{defn*}{D\'efinition}
  EndPreamble
End

# Remark-unnumbered style declaration
Style Remarque
  CopyStyle		Remarque(ST)
  LatexName		rem*
  LabelType		Static
  LabelString		"Remarque."

  Preamble
    \theoremstyle{remark}
    \newtheorem*{rem*}{Remarque}
  EndPreamble
End  

# Notation-unnumbered style declaration
Style Notation
  CopyStyle		Remarque(ST)
  LatexName		notation
  LabelType		Static
  LabelString		"Notation."

  Preamble
    \theoremstyle{remark}    
    \newtheorem*{notation}{Notation} 
  EndPreamble
End

# Axiom-unnumbered style declaration
Style Axiome
  CopyStyle		Thorme(ST)
  LatexName		ax
  LabelType		Static
  LabelString		"Axiome."
  
  Preamble
    \theoremstyle{plain}    
    \newtheorem*{ax}{Axiome} 
  EndPreamble
End  

# Criterion-unhnumbered style declaration
Style Critre
  CopyStyle		Thorme(ST)
  LatexName		criterion
  LabelType		Static
  LabelString		"Critre."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{criterion}{Crit\`ere} %%Delete [thm] to re-start numbering
  EndPreamble
End  

# Algorithm-unnumbered style declaration
Style Algorithme
  CopyStyle		Thorme(ST)
  LatexName		algorithm
  LabelType		Static
  LabelString		"Algorithme."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{algorithm}{Algorithme} %%Delete [thm] to re-start numbering
  EndPreamble
End  

# Exercise-unnumbered style declaration
Style Exercice
  CopyStyle		Dfinition(ST)
  LatexName		exo*
  LabelType		Static
  LabelString		"Exercice."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{exo*}{Exercice}
   EndPreamble
End

# Problem-unnumbered style declaration
Style Problme
  CopyStyle		Dfinition(ST)
  LatexName		problem
  LabelType		Static
  LabelString		"Problme."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{problem}{Probl\`eme}
  EndPreamble
End  

# Exemple-unnumbered style declaration
Style Exemple
  CopyStyle		Dfinition(ST)
  LatexName		example*
  LabelType		Static
  LabelString		"Exemple."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{example*}{Exemple}
  EndPreamble
End

# Conjecture-unnumbered style declaration
Style Conjecture
  CopyStyle		Thorme(ST)
  LatexName		conjecture*
  LabelType		Static
  LabelString		"Conjecture."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{conjecture*}{Conjecture} 
  EndPreamble
End

# Fact-unnumbered style declaration
Style Fait
  CopyStyle		Thorme(ST)
  LatexName		fact*
  LabelType		Static
  LabelString		"Fait."

  Preamble
    \theoremstyle{plain}    
    \newtheorem*{fact*}{Fait} 
  EndPreamble
End

# Condition-unnumbered style declaration
Style Condition
  CopyStyle		Dfinition(ST)
  LatexName		condition
  LabelType		Static
  LabelString		"Condition."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{condition}{Condition}
  EndPreamble
End  

# Claim-unnumbered style declaration
Style Claim
  CopyStyle		Remarque(ST)
  LatexName		claim*
  LabelType		Static
  LabelString		"Claim."

  Preamble
    \theoremstyle{remark}    
    \newtheorem*{claim*}{Claim}
  EndPreamble
End

# Note-unnumbered style declaration
Style Note
  CopyStyle		Remarque(ST)
  LatexName		note*
  LabelType		Static
  LabelString		"Note."

  Preamble
    \theoremstyle{remark}    
    \newtheorem*{note*}{Note} 
  EndPreamble
End

# Conclusion-unnumbered style declaration
Style Conclusion
  CopyStyle		Remarque(ST)
  LatexName		conclusion*
  LabelType		Static
  LabelString		"Conclusion."

  Preamble
    \theoremstyle{remark}    
    \newtheorem*{conclusion*}{Conclusion} 
  EndPreamble
End
