# The environnements defined are :
# - Theoreme(ST)
# - Corollary(ST)
# - Lemma(ST)
# - Proposition(ST)
# - Proposition*
# - Conjecture(ST)
# - Conjecture*
# - Criterion(ST)
# - Algorithm
# - Axiom(ST)
# - Definition(ST)
# - Definition*
# - Example(ST)
# - Example*
# - Condition(ST)
# - Problem(ST)
# - Exercise
# - Exercice*
# - Remark(ST)
# - Remark*
# - Note(ST)
# - Note*
# - Notation(ST)
# - Claim(ST)
# - Claim*
# - Summary(ST)
# - Acknowledgement(ST)
# - Acknowledgement*
# - Case(ST)
# - Conclusion(ST)
# - Conclusion*
# - Fact(ST)
# - Fact*

Format 2
Style *******************************
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _______THEOREMES__
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _______NUMEROTES__
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ____SANS_SECTIONS
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Counter
	Name                 theorem-(T)
End

# Theorem-numbered style declaration
Style Thorme(T)
  CopyStyle		Thorme(ST)
  LatexName		tthm
  LabelCounter  theorem-(T)
  LabelString		"Thorme \arabic{theorem-(T)}."
  
End  

# Proposition-numbered style declaration
Style Proposition(T)
  CopyStyle		Thorme(T)
  LatexName		tprop
  LabelString		"Proposition \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{tprop}[tthm]{Proposition}
  EndPreamble
End  

Counter
	Name                 proposition-(P)
End    

# Proposition-numbered style declaration
Style Proposition(P)
  CopyStyle		Thorme(T)
  LatexName		pprop
  LabelCounter  proposition-(P)
  LabelString		"Proposition \arabic{proposition-(P)}."

#  Preamble
#    \theoremstyle{plain}    
#    \newtheorem{pprop}{Proposition}
#  EndPreamble
End

# Corollary-numbered style declaration
Style Corollaire(T)
  CopyStyle		Thorme(T)
  LatexName		tcor
  LabelString		"Corollaire \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{tcor}[tthm]{Corollaire}
  EndPreamble
End

Counter
	Name                 corollaire-(C)
End

# Corollary-numbered style declaration
Style Corollaire(C)
  CopyStyle		Thorme(T)
  LatexName		ccor
  LabelCounter  corollaire-(C)
  LabelString		"Corollaire \arabic{corollaire-(C)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{ccor}{Corollaire}
  EndPreamble
End

Counter
	Name                 corollaire-(TC)
    Within               theorem-(T)
End   

# Corollary-numbered style declaration
Style Corollaire(TC)
  CopyStyle		Thorme(T)
  LatexName		tccor
  LabelCounter  corollaire-(TC)
  LabelString		"Corollaire \arabic{theorem-(T)}.\arabic{corollaire-(TC)}."

#  Preamble
#    \theoremstyle{plain}    
#    \newtheorem{tccor}{Corollaire}[tthm]
#  EndPreamble
End

Counter
	Name                 corollaire-(CsurT)
    Within               theorem-(T)
End

# Corollary-numbered style declaration
Style Corollaire((T)C)
  CopyStyle		Thorme(T)
  LatexName		ccort
  LabelCounter  corollaire-(CsurT)
  LabelString		"Corollaire \arabic{corollaire-(CsurT)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConT}[tthm]   
    \newtheorem{ccort}[ConT]{Corollaire}
  EndPreamble
End

Counter
	Name                 corollaire-(CsurP)
    Within               proposition-(P)
End

# Corollary-numbered style declaration
Style Corollaire((P)C)
  CopyStyle		Thorme(T)
  LatexName		ccorp
  LabelCounter  corollaire-(CsurP)
  LabelString		"Corollaire \arabic{corollaire-(CsurP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConP}[pprop]   
    \newtheorem{ccorp}[ConP]{Corollaire}
  EndPreamble
End

Counter
	Name                 corollaire-(CsurL)
    Within               lemme-(L)
End

# Corollary-numbered style declaration
Style Corollaire((L)C)
  CopyStyle		Thorme(T)
  LatexName		ccorl
  DependsOn     Lemme(L)
  LabelCounter  corollaire-(CsurL)
  LabelString		"Corollaire \arabic{corollaire-(CsurL)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConL}[llem]   
    \newtheorem{ccorl}[ConL]{Corollaire}
  EndPreamble
End

# Lemma-numbered style declaration
Style Lemme(T)
  CopyStyle		Thorme(T)
  LatexName		tlem
  LabelString		"Lemme \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{tlem}[tthm]{Lemme}
  EndPreamble
End  

Counter
	Name                 lemme-(L)
End

# Lemma-numbered style declaration
Style Lemme(L)
  CopyStyle		Thorme(T)
  LatexName		llem
  LabelCounter  lemme-(L)
  LabelString		"Lemme \arabic{lemme-(L)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{llem}{Lemme}
  EndPreamble
End  

Counter
	Name                 lemme-(TL)
End

# Lemma-numbered style declaration
Style Lemme(TL)
  CopyStyle		Thorme(T)
  LatexName		tllem
  LabelCounter  lemme-(TL)
  LabelString		"Lemme \arabic{theorem-(T)}.\arabic{lemme-(TL)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{tllem}{Lemme}[tthm]
  EndPreamble
End  

Counter
	Name                 lemme-(TCL)
End

# Lemma-numbered style declaration
Style Lemme(TCL)
  CopyStyle		Thorme(T)
  LatexName		tcllem
  LabelCounter  lemme-(TCL)
  LabelString		"Lemme \arabic{theorem-(T)}.\arabic{corollaire-(TC)}.\arabic{lemme-(TCL)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{tcllem}{Lemme}[tccor]
  EndPreamble
End

Counter
	Name                 lemme-(LsurT)
    Within               theorem-(T)
End

# Lemma-numbered style declaration
Style Lemme((T)L)
  CopyStyle		Thorme(T)
  LatexName		llemt
  LabelCounter  lemme-(LsurT)
  LabelString		"Lemme \arabic{lemme-(LsurT)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonT}[stthm]
    \newtheorem{llemt}[LonT]{Lemme}
  EndPreamble
End

Counter
	Name                 lemme-(LsurP)
    Within               theorem-(P)
End

# Lemma-numbered style declaration
Style Lemme((P)L)
  CopyStyle		Thorme(T)
  LatexName		llemp
  LabelCounter  lemme-(LsurP)
  LabelString		"Lemme \arabic{lemme-(LsurP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonP}[spprop]
    \newtheorem{llemp}[LonP]{Lemme}
  EndPreamble
End

Counter
	Name                 lemme-(LsurTC)
    Within               corollaire-(TC)
End

# Lemma-numbered style declaration
Style Lemme((TC)L)
  CopyStyle		Thorme(T)
  LatexName		llemtc
  LabelCounter  lemme-(LsurTC)
  LabelString		"Lemme \arabic{lemme-(LsurTC)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonTC}[tccor]
    \newtheorem{llemtc}[LonTC]{Lemme}
  EndPreamble
End

Counter
	Name                 lemme-(LsurCsurT)
    Within               corollaire-(CsurT)
End

# Lemma-numbered style declaration
Style Lemme(((T)C)L)
  CopyStyle		Thorme(T)
  LatexName		tllemc
  LabelCounter  lemme-(LsurCsurT)
  LabelString		"Lemme \arabic{lemme-(LsurCsurT)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonConT}[ConT]
    \newtheorem{tllemc}[LonConT]{Lemme}
  EndPreamble
End

Counter
	Name                 lemme-(LsurCsurP)
    Within               corollaire-(CsurP)
End

# Lemma-numbered style declaration
Style Lemme(((P)C)L)
  CopyStyle		Thorme(T)
  LatexName		pllemc
  LabelCounter  lemme-(LsurCsurP)
  LabelString		"Lemme \arabic{lemme-(LsurCsurP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonConP}[ConP]
    \newtheorem{pllemc}[LonConP]{Lemme}
  EndPreamble
End

# Definition-numbered style declaration
Style Dfinition(T)
  CopyStyle		Dfinition(ST)
  LatexName		tdefn
  LabelString		"Dfinition \arabic{theorem-(T)}."
  
  Preamble
   \theoremstyle{definition}
   \newtheorem{tdefn}[tthm]{D\'efinition}
  EndPreamble
End

Counter
	Name                 definition-(D)
End

# Definition-numbered style declaration
Style Dfinition(D)
  CopyStyle		Dfinition(T)
  LatexName		ddefn
  LabelCounter  definition-(D)
  LabelString		"Dfinition \arabic{definition-(D)}."

  Preamble
   \theoremstyle{definition}
   \newtheorem{ddefn}{D\'efinition}
  EndPreamble
End

# Remark-numbered style declaration
Style Remarque(T)
  CopyStyle		Remarque(ST)
  LatexName		trem
  LabelString		"Remarque \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{trem}[tthm]{Remarque}
  EndPreamble
End 

Counter
	Name                 remarque-(R)
End

# Remark-numbered style declaration
Style Remarque(R)
  CopyStyle		Remarque(T)
  LatexName		rrem
  LabelCounter  remarque-(R)
  LabelString		"Remarque \arabic{remarque-(R)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{rrem}{Remarque}
  EndPreamble
End

# Notation-numbered style declaration
Style Notation(T)
  CopyStyle		Remarque(T)
  LatexName		tnotation
  LabelString		"Notation \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}    
    \newtheorem{tnotation}[tthm]{Notation} 
  EndPreamble
End 

Counter
	Name                 notation-(N)
End

# Notation-numbered style declaration
Style Notation(N)
  CopyStyle		Remarque(T)
  LatexName		nnotation
  LabelCounter  notation-(N)
  LabelString		"Notation \arabic{notation-(N)}."

  Preamble
    \theoremstyle{remark}    
    \newtheorem{nnotation}{Notation}
  EndPreamble
End

# Axiom-numbered style declaration
Style Axiome(T)
  CopyStyle		Thorme(T)
  LatexName		tax
  LabelString		"Axiome \arabic{theorem-(T)}."
  
  Preamble
    \theoremstyle{plain}    
    \newtheorem{tax}[tthm]{Axiome} 
  EndPreamble
End 

Counter
	Name                 axiome-(A)
End

# Axiom-numbered style declaration
Style Axiome(A)
  CopyStyle		Thorme(T)
  LatexName		aax
  LabelCounter  axiome-(A)
  LabelString		"Axiome \arabic{axiome-(A)}."
  
  Preamble
    \theoremstyle{plain}    
    \newtheorem{aax}{Axiome}
  EndPreamble
End

# Criterion-numbered style declaration
Style Critre(T)
  CopyStyle		Thorme(T)
  LatexName		tcriterion
  LabelString		"Critre \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{tcriterion}[tthm]{Crit\`ere}
  EndPreamble
End

# Algorithm-numbered style declaration
Style Algorithme(T)
  CopyStyle		Thorme(T)
  LatexName		talgorithm
  LabelString		"Algorithme \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{talgorithm}[tthm]{Algorithme}
  EndPreamble
End

# Exercise-numbered style declaration
Style Exercice(T)
  CopyStyle		Dfinition(T)
  LatexName		texo
  LabelString		"Exercice \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{texo}[tthm]{Exercice}
   EndPreamble
End  

Counter
	Name                 exercice-(Exo)
End

# Exercise-numbered style declaration
Style Exercice(Exo)
  CopyStyle		Dfinition(T)
  LatexName		exoexo
  LabelCounter  exercice-(Exo)
  LabelString		"Exercice \arabic{exercice-(Exo)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{exoexo}{Exercice}
   EndPreamble
End


# Problem-numbered style declaration
Style Problme(T)
  CopyStyle		Dfinition(T)
  LatexName		tproblem
  LabelString		"Problme \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{tproblem}[tthm]{Probl\`eme}
  EndPreamble
End  

Counter
	Name                 problme-(Pb)
End

# Problem-numbered style declaration
Style Problme(Pb)
  CopyStyle		Dfinition(T)
  LatexName		pbproblem
  LabelCounter  problme-(Pb)
  LabelString		"Problme \arabic{problme-(Pb)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{pbproblem}{Probl\`eme}
  EndPreamble
End

# Example-numbered style declaration
Style Exemple(T)
  CopyStyle		Dfinition(T)
  LatexName		texample
  LabelString		"Exemple \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{texample}[tthm]{Exemple}
  EndPreamble
End  

Counter
	Name                 exemple-(Exm)
End

# Example-numbered style declaration
Style Exemple(Exm)
  CopyStyle		Dfinition(T)
  LatexName		exmexample
  LabelCounter  exemple-(Exm)
  LabelString		"Exemple \arabic{exemple-(Exm)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{exmexample}{Exemple}
  EndPreamble
End

# Conjecture-numbered style declaration
Style Conjecture(T)
  CopyStyle		Thorme(T)
  LatexName		tconjecture
  LabelString		"Conjecture \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{tconjecture}[tthm]{Conjecture}
  EndPreamble
End

Counter
	Name                 conjecture-(Cj)
End

# Conjecture-numbered style declaration
Style Conjecture(Cj)
  CopyStyle		Thorme(T)
  LatexName		cjconjecture
  LabelCounter  conjecture-(Cj)
  LabelString		"Conjecture \arabic{conjecture-(Cj)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{cjconjecture}{Conjecture}
  EndPreamble
End

# Fact-numbered style declaration
Style Fait(T)
  CopyStyle		Thorme(T)
  LatexName		tfact
  LabelString		"Fait \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{tfact}[tthm]{Fait} 
  EndPreamble
End

Counter
	Name                 fait-(F)
End

# Fact-numbered style declaration
Style Fait(F)
  CopyStyle		Thorme(T)
  LatexName		ffact
  LabelCounter  fait-(F)
  LabelString		"Fait \arabic{fait-(F)}."

  Preamble
    \theoremstyle{plain}    
    \newtheorem{ffact}{Fait}
  EndPreamble
End

# Condition-numbered style declaration
Style Condition(T)
  CopyStyle		Dfinition(T)
  LatexName		tcondition
  LabelString		"Condition \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{tcondition}[tthm]{Condition}
  EndPreamble
End

Counter
	Name                 condition-(Cd)
End

# Condition-numbered style declaration
Style Condition(Cd)
  CopyStyle		Dfinition(T)
  LatexName		cdcondition
  LabelCounter  condition-(Cd)
  LabelString		"Condition \arabic{condition-(Cd)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{cdcondition}{Condition}
  EndPreamble
End

# Case-numbered style declaration
Style Cas(T)
  CopyStyle		Remarque(T)
  LatexName		tcase
  LabelString		"Cas \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}    
    \newtheorem{tcase}[tthm]{Cas}
  EndPreamble
End

Counter
	Name                 cas-(Cas)
End    

# Case-numbered style declaration
Style Cas(Cas)
  CopyStyle		Remarque(T)
  LatexName		cascase
  LabelCounter  cas-(Cas)
  LabelString		"Cas \arabic{cas-(Cas)}."

  Preamble
    \theoremstyle{remark}    
    \newtheorem{cascase}{Cas}
  EndPreamble
End 

# Conclusion-numbered style declaration
Style Conclusion(T)
  CopyStyle		Remarque(T)
  LatexName		tconclusion
  LabelString		"Conclusion \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}    
    \newtheorem{tconclusion}[tthm]{Conclusion} 
  EndPreamble
End

Counter
	Name                 conclusion-(Cl)
End

# Conclusion-numbered style declaration
Style Conclusion(Cl)
  CopyStyle		Remarque(T)
  LatexName		clconclusion
  LabelCounter  conclusion-(Cl)
  LabelString		"Conclusion \arabic{conclusion-(Cl)}."

  Preamble
    \theoremstyle{remark}    
    \newtheorem{clconclusion}{Conclusion}
  EndPreamble
End

# Note-numbered style declaration
Style Note(T)
  CopyStyle		Remarque(T)
  LatexName		tnote
  LabelString		"Note \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}    
    \newtheorem{tnote}[tthm]{Note} 
  EndPreamble
End

Counter
	Name                 note-(Note)
End

# Note-numbered style declaration
Style Note(Note)
  CopyStyle		Remarque(T)
  LatexName		notenote
  LabelCounter  note-(Note)
  LabelString		"Note \arabic{note-(Note)}."

  Preamble
    \theoremstyle{remark}    
    \newtheorem{notenote}{Note}
  EndPreamble
End
